#include <stdio.h>
#include <stdbool.h>


int eq(char card)
{
	if(card == '2')
		return 2;
	if(card == '3')
		return 3;
	if(card == '4')
		return 4;
	if(card == '5')
		return 5;
	if(card == '6')
		return 6;
	if(card == '7')
		return 7;
	if(card == '8')
		return 8;
	if(card == '9')
		return 9;
	if(card == 'T')
		return 10;
	if(card == 'J')
		return 12;
	if(card == 'Q')
		return 13;
	if(card == 'K')
		return 14;
	if(card == 'A')
		return 15;
}

void sort(char hand[10])
{
	char aux;
	int i;
	bool ord;
	do
	{
		ord = true;
		for(i = 0; i < 8; i+=2)
			if(eq(hand[i]) > eq(hand[i+2]))
			{
				ord = false;
				aux = hand[i]; hand[i] = hand[i+2]; hand[i+2] = aux;
				aux = hand[i+1]; hand[i+1] = hand[i+3]; hand[i+3]=aux;
			}
	}while(!ord);
}

int get_rank (char hand[])
{
	if(hand[0] == 'T' && hand[2] == 'J' && hand[4] == 'Q' && hand[6] == 'K' && hand[8] == 'A' && 
	   hand[1] == hand[3] && hand[3] == hand[5] && hand[5] == hand[7] && hand[7] == hand[9])
		return 9;

	if(((eq(hand[8]) == eq(hand[6] + 1) && eq(hand[6]) == eq(hand[4] + 1) && eq(hand[4]) == eq(hand[2] + 1) && eq(hand[2]) == eq(hand[0] + 1)) ||
	   (eq(hand[8]) == 15 && eq(hand[0]) == 2 && eq(hand[2]) == 3 && eq(hand[4]) == 4 && eq(hand[6]) == 5)) &&
	   (hand[1] == hand[3] && hand[3] == hand[5] && hand[5] == hand[7] && hand[7] == hand[9]))
		return 8;

	if((eq(hand[0]) == eq(hand[2]) && eq(hand[2]) < eq(hand[4]) && eq(hand[4]) < eq(hand[6]) && eq(hand[6]) < eq(hand[8])) ||
	   (eq(hand[0]) < eq(hand[2]) && eq(hand[2]) == eq(hand[4]) && eq(hand[4]) < eq(hand[6]) && eq(hand[6]) < eq(hand[8])) ||
	   (eq(hand[0]) < eq(hand[2]) && eq(hand[2]) < eq(hand[4]) && eq(hand[4]) == eq(hand[6]) && eq(hand[6]) < eq(hand[8])) ||
	   (eq(hand[0]) < eq(hand[2]) && eq(hand[2]) < eq(hand[4]) && eq(hand[4]) < eq(hand[6]) && eq(hand[6]) == eq(hand[8])))
		return 1;

	if((eq(hand[0]) < eq(hand[2]) && eq(hand[2]) == eq(hand[4]) && eq(hand[4]) < eq(hand[6]) && eq(hand[6]) == eq(hand[8])) ||
	   (eq(hand[0]) == eq(hand[2]) && eq(hand[2]) < eq(hand[4]) && eq(hand[4]) == eq(hand[6]) && eq(hand[6]) < eq(hand[8])) ||
	   (eq(hand[0]) == eq(hand[2]) && eq(hand[2]) < eq(hand[4]) && eq(hand[4]) < eq(hand[6]) && eq(hand[6]) == eq(hand[8])))
		return 2;

	if((eq(hand[0]) < eq(hand[2]) && eq(hand[2]) == eq(hand[6]) && eq(hand[6]) < eq(hand[8])) ||
	   (eq(hand[0]) < eq(hand[2]) && eq(hand[2]) < eq(hand[4]) && eq(hand[4]) == eq(hand[8])) ||
	   (eq(hand[0]) == eq(hand[4]) && eq(hand[4]) < eq(hand[6]) && eq(hand[6]) < eq(hand[8])))
		return 3;

	if((eq(hand[8]) == eq(hand[6] + 1) && eq(hand[6]) == eq(hand[4] + 1) && eq(hand[4]) == eq(hand[2] + 1) && eq(hand[2]) == eq(hand[0] + 1)) ||
	   (eq(hand[8]) == 15 && eq(hand[0]) == 2 && eq(hand[2]) == 3 && eq(hand[4]) == 4 && eq(hand[6]) == 5))
	 	return 4;

	if(hand[1] == hand[3] && hand[3] == hand[5] && hand[5] == hand[7] && hand[7] == hand[9])
		return 5;

	if((eq(hand[0]) == eq(hand[4]) && eq(hand[4]) < eq(hand[6]) && eq(hand[6]) == eq(hand[8])) ||
	   (eq(hand[0]) == eq(hand[2]) && eq(hand[2]) < eq(hand[4]) && eq(hand[4]) == eq(hand[8])))
		return 6;

	if((eq(hand[0]) < eq(hand[2]) && eq(hand[2]) == eq(hand[8])) || (eq(hand[0]) == eq(hand[6]) && eq(hand[6]) < eq(hand[8])))
		return 7;
}
	

int main ()
{

	// Mainile celor 2 jucatori.
	char hand1[10], hand2[10];

	// O mana are forma: [Carte1][Culoare1]...[Carte5][Culoare5]
	/* Legenda:
	- d = romb (diamonds)
	- s = inima neagra (spades)
	- c = trefla (clubs)
	- h = inima rosie (hearts) */

	/* Cartile au un singur caracter: 2/3/4/5/6/7/8/9/T/J/Q/K/A
	2-9 = cartile 2-9
	T = cartea 10 (Ten)
	J = cartea 12 (Jack)
	Q = cartea 13 (Queen)
	K = cartea 14 (King)
	A = cartea As (Ace) */
	

	/* Exemplu de mana:  4sAc2h3hJd =
		4 de inima neagra
		As de trefla
		2 de inima rosie
		3 de inima rosie
		12 de romb */

	// Citiri maini

	fscanf(stdin, "%s", hand1);
	fscanf(stdin, "%s", hand2);

	sort(hand1);	
	sort(hand2);
	
	if(get_rank(hand1) > get_rank(hand2))
		printf("Mana 1 este cea castigatoare!");

	else if(get_rank(hand2) > get_rank(hand1))
		printf("Mana 2 este cea castigatoare!");

	else
		printf("Remiza!");

	return 0;
}
